Bug 118920 - stable request for sci-mathematics/pari (x86)
Bug#: 118920 Product:  Gentoo Linux Version: unspecified Platform: All
OS/Version: Linux Status: RESOLVED Severity: normal Priority: P2
Resolution: FIXED Assigned To: sci@gentoo.org Reported By: mcummings@gentoo.org
Component: Ebuilds
URL: 
Summary: stable request for sci-mathematics/pari (x86)
Keywords:  
Status Whiteboard: 
Opened: 2006-01-13 13:46 0000
Description:   Opened: 2006-01-13 13:46 0000
I'd like to unmask a half dozen or so perl modules that have been sitting in
the tree (forever it almost seems) for crypt related functionality, but they
all depend on dev-perl/math-pari, which in turn depends on sci-math*/pari. We
could unmask for sparc (sparc64 in particular - sparc32 still has some issues),
but I'd like to confirm there aren't any lingering unknown issues with pari
that we aren't aware of that have kept it masked. That and I don't want to
unmask for sparc without another arch being there since i'm a chicken. With
feathers and everything.

------- Comment #1 From Lares Moreau 2006-01-13 15:07:25 0000 -------
Could you provide a test to tax sci-mathematics/pari, with outputs to compare
to.

------- Comment #2 From Markus Dittrich 2006-01-13 15:55:38 0000 -------
I am confused, sci-mathematics/pari isn't masked as far as I can tell.

------- Comment #3 From Ferris McCormick 2006-01-13 17:12:31 0000 -------
(In reply to comment #1)
> Could you provide a test to tax sci-mathematics/pari, with outputs to compare
> to.
> 

That's what 'make test-compat' does.  As well as 'make test-kernel' the ebuild
could also do 'make bench' and 'make test-compat' in src_test if it wanted to.
Here's the easiest way to run the compatibility test (patch to the ebuild):
===============================================================================
--- pari-2.1.7.ebuild-  2006-01-14 00:38:13.000000000 +0000
+++ pari-2.1.7.ebuild   2006-01-14 00:33:24.000000000 +0000
@@ -75,6 +75,9 @@
        ebegin "Testing pari kernel"
        make CFLAGS="-Wl,-lpari" test-kernel > /dev/null
        eend $?
+       ebegin "test compatibility"
+       make test-compat
+       eend $?
 }
===============================================================================
This patch leaves the test-compat as a rather noisy test (because of ridiculous
'tail -2 is deprecated' messages), but you can see for yourself that it tests
both staticly and dynamically linked gp (the pari executable), and they both
generate the expected results.
(Patch generated on sparc U2(2x300) system, verified on sparc U60(2x300)
system.)

------- Comment #4 From Michael Cummings (RETIRED) 2006-01-13 17:14:51 0000 -------
sorry, meant marking stable, not unmasking :) (changed summary to reflect).
sparc's confirmed 2.1.7, just looking to see if we can x86 marked stable as
well (sorry for the poor reportin')

------- Comment #5 From Markus Dittrich 2006-01-14 04:57:49 0000 -------
(In reply to comment #4)
> sorry, meant marking stable, not unmasking :) (changed summary to reflect).

Thanks for the clarification! That's what I thought, but I wanted to make sure.
pari-2.1.7 on x86 currently has bug #117434 open, but I am pretty sure that
this
is not a problem with pari, but rather an issue with the particular user's 
system. Otherwise, I don't see any reason why 2.1.7 couldn't go stable on x86.

------- Comment #6 From Joshua Jackson 2006-01-16 18:37:17 0000 -------
Stable on x86 thanks for reporting.

------- Comment #7 From Michael Cummings (RETIRED) 2006-01-17 02:11:22 0000 -------
marking sparc stable, returning to my math-pari dependant packages. thanks
everyone!